@import '../core/base';
@import '../modules/button-group';

.toolbar {
  @include flex(center, space-between);
  height: auto;
  background-color: $color-blue;
  min-height: 6.8rem;
  @include mobile-lg {
    min-height: 4.8rem;
  }
  &__title {
    @extend .reset;
    color: #fff;
    padding-left: 2.5rem;
    font-weight: 500;
  }
  &__wrap {
    display: none;
    @include desktop-md {
      @include flex(center, flex-start);
    }
  }
}

.toolbar-kbits {
  display: none;
  align-items: center;
  margin-left: 2rem;
  height: 100%;
  @include desktop-md {
    display: flex;
  }
  &__item {
    padding-right: 1rem;
    font-size: 1.4rem;
    font-weight: 500;
    color: #fff;
  }
  &_fixed {
    position: absolute;
    left: 0;
    z-index: 2;
    @include landscape-tablet {
      height: auto;
      bottom: 1.2rem;
    }
  }
}

.toolbar-nav {
  @include flex(center, space-between, row);
  padding: 0;
  width: 100%;
  @include desktop-md {
    justify-content: center;
    width: auto;
  }
  &__item {
    padding: 0;
    position: relative;
    width: 100%;
    &_disabled {
      pointer-events: none;
      opacity: 0.5;
    }
  }
  &__link {
    @include flex(center, center);
    cursor: pointer;
    font-size: 1.6rem;
    text-transform: uppercase;
    transition: all 0.28s ease-out .058s;
    height: 100%;
    @include mobile-lg {
      font-size: 1.4rem;
    }
    /* update styles for material MenuItem */
    & > div {
      width: 100%;
      height: 100%;
      & > div > span > div {
        background-color: rgba(255,255,255, 0.3) !important;
      }
    }
    span {
      height: 100% !important;
      color: #fff !important;
      & > div {
        padding: 1rem 3.5rem;
        @include mobile-lg {
          padding: 1rem 3rem;
        }
        @include mobile-lg {
          padding: 1.2rem 1rem;
        }
      }
      & + div,
      & > div > div {
        padding: 0 !important;
        height: 100% !important;
        display: flex;
        align-items: center;
        justify-content: center;
      }
      &:hover {
        background-color: transparent !important;
      }
    }
    svg, i {
      fill: #fff !important;
      position: initial !important;
      margin: 0 !important;
      cursor: pointer !important;
      & + div {
        padding-left: 1.5rem;
        @include mobile-lg {
          display: none;
        }
      }
    }
    &_active {
      background-color: #fdfdfd;
      span {
        color: $color-blue !important;
      }
      svg {
        fill: $color-blue !important;
      }
    }
  }
  /* end update styles for material MenuItem */
  &__text {
    margin-left: 1.5rem;
    @include mobile-md {
      display: none;
    }
  }
  &__dropdown {
    position: relative;
    max-width: 20.5rem;
    @include mobile-sm {
      max-width: 16rem;
    }
    width: 100%;
    & div {
      display: block !important;
      width: 100% !important;
    }
  }
}
